---
lookup_options:
  ssh::matchblock:
    merge:
      strategy: unique

ssh::sshd_config: '/etc/ssh/sshd_config'
ssh::ssh_known_hosts: '/etc/ssh/ssh_known_hosts'
ssh::ssh_known_hosts_perm: '0644'
ssh::host_key_group: 'root'
ssh::host_key_perms: '0600'
ssh::host_key_dir: '/etc/ssh'
ssh::host_cert_group: 'root'
ssh::host_cert_perms: '0600'
ssh::host_cert_dir: '/etc/ssh'
ssh::ssh_config_perm: '0600'
ssh::sftp_subsystem: '/usr/libexec/openssh/sftp-server'
ssh::ssh_group: 'root'
ssh::service_name: 'sshd'
ssh::service_ensure: 'running'
ssh::service_enable: true
ssh::package_name: 'openssh-server'
ssh::package_ensure: 'installed'
ssh::admin_server_ip: ['127.0.0.1']
ssh::admin_server_hostname: ['localhost']
ssh::admin_users: []
ssh::shost_extra_users: []
ssh::allow_users: []
ssh::deny_users: []
ssh::host_keytypes: ['rsa', 'ecdsa']
ssh::host_certtypes: []
ssh::permit_root_login: 'no'
ssh::challengeresponseauthentication: true
ssh::gssapiauthentication: false
ssh::kerberosauthentication: false
ssh::hostbasedauthentication: false
ssh::passwordauthentication: true
ssh::pubkeyauthentication: true
ssh::rhostsrsaauthentication: false
ssh::rsaauthentication: false
ssh::invalid_options: []
ssh::address_family: 'any'
ssh::x11_use_localhost: true
ssh::port: 22
ssh::print_motd: true
